Bric::Util::Grp::ATType - Interface to Bric::Biz::ATType Groups $LastChangedRevision$ $LastChangedDate: 2005-09-20 17:48:20 -0700 (Tue, 20 Sep 2005) $ See Bric::Util::Grp See Bric::Util::Grp.

Constructors
Inherited from Bric::Util::Grp.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
This will return an anonymous hash of the supported classes in the group as keys with the short name as a value. The short name is used to construct the member table names and the foreign key in the table. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once. Throws: NONE. Side Effects: NONE. Notes: NONE. Forces all Objects to be considered as this class. Throws: NONE. Side Effects: NONE. Notes: NONE. This will return the class ID that this group is associated with. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns false, because this is not a secret type of group, but one that can be used by users. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns a Bric::Util::Class object describing this class. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally. Returns a Bric::Util::Class object describing the members of this group. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally.

Public Instance Methods
Inherited from Bric::Util::Grp.

Private Constructors
NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
NONE. NONE. David Wheeler <david@justatheory.com> Bric, Bric::Biz::ATType, Bric::Util::Grp